Page MenuHomePhabricator

Create a link card for external links in ContentTranslation
Closed, ResolvedPublic

Description

When clicking on an external link, no link card is shown. Which makes it hard for users to open the link (and it is inconsistent with other links).

A link card should be shown with the link URL for users to be able to open the link.
No actions should be shown for it, but it can include the text informing of the keyboard shortcut to open the link by clicking on "shift+click".

Event Timeline

Pginer-WMF raised the priority of this task from to Needs Triage.
Pginer-WMF updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 22 2015, 3:07 PM
Arrbee set Security to None.
Amire80 triaged this task as Normal priority.Jul 23 2015, 5:55 PM
Amire80 moved this task from Needs Triage to CX6 on the ContentTranslation board.Jul 28 2015, 6:47 PM
Amire80 renamed this task from Link card for external links to Create a link card for external links in ContentTranslation.Oct 2 2015, 3:54 PM
Amire80 moved this task from CX6 to CX7 on the ContentTranslation board.Oct 2 2015, 3:58 PM
Amire80 moved this task from CX7 to Bugs on the ContentTranslation board.Oct 18 2015, 8:27 PM

Change 346727 had a related patch set uploaded (by Santhosh):
[mediawiki/extensions/ContentTranslation@master] CX2: Define translation unit for external links

https://gerrit.wikimedia.org/r/346727

Screenshot from above patch. This will require some tuning once @Pginer-WMF
review it

@Pginer-WMF An external link can be like the above screenshot - with a given link text. Sometimes the link text is like [1], [4] etc. And in somecases the linktext can be the URL itself. What do you suggest in all these cases? Can we just show the URL as such in the card(as shown in screenshot) or should we show the link text as well?

@Pginer-WMF An external link can be like the above screenshot - with a given link text. Sometimes the link text is like [1], [4] etc. And in somecases the linktext can be the URL itself. What do you suggest in all these cases? Can we just show the URL as such in the card(as shown in screenshot) or should we show the link text as well?

When interacting with an external link in the translation context, the main interest is in the destination: getting a general idea about it (e.g.,verifying it comes from a newspaper) or visiting it (to check the information about it).

Showing the target URL as a clickable link (even when external links have a different label) seems a reasonable approach. The label is already visible in the translation text (and can be edited there), so I don't think it is worth including it in the card.

Change 346727 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] CX2: Define translation unit for external links

https://gerrit.wikimedia.org/r/346727

santhosh closed this task as Resolved.Jun 6 2017, 5:57 AM
santhosh claimed this task.